<?php

declare(strict_types=1);

namespace Internetgalerie\IgCrmTimeRecording\Domain\Model;

/**
 * ActivityGroup
 */
class ActivityGroup extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * tenantId
     */
    protected ?int $tenantId = null;

    /**
     * name
     */
    protected string $name = '';

    /**
     * Returns the name
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * Sets the name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * Returns the tenantId
     */
    public function getTenantId(): ?int
    {
        return $this->tenantId;
    }

    /**
     * Sets the tenantId
     */
    public function setTenantId(?int $tenantId): void
    {
        $this->tenantId = $tenantId;
    }
}
